﻿
Imports C1.Win.C1FlexGrid

Public Class RibbonForm1



    Private _result As String
    Private msg As VtlMessageBox

    ''' <summary>
    ''' Initializes a new instance of the RibbonForm1 class.
    ''' </summary>
    ''' <param name="visualStyleToUse"></param>
    Public Sub New(ByVal visualStyleToUse As C1.Win.C1Ribbon.VisualStyle)

        InitializeComponent()
        VisualStyle = visualStyleToUse
    End Sub

    Private Sub RibbonForm1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        For i As Integer = 1 To 4
            flex1(i, 1) = i
            flex1(i, 2) = i
            flex1(i, 3) = i
        Next i
    End Sub

    Private Sub C1Button1_Click(sender As System.Object, e As System.EventArgs) Handles C1Button1.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .Icon = MessageBoxIcon.Information
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button2_Click(sender As Object, e As System.EventArgs) Handles C1Button2.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .Icon = MessageBoxIcon.Information
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button3_Click(sender As Object, e As System.EventArgs) Handles C1Button3.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button4_Click(sender As Object, e As System.EventArgs) Handles C1Button4.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button5_Click(sender As System.Object, e As System.EventArgs) Handles C1Button5.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message."
            .Caption = "This is a very long caption to illustrate the point that the Vtl Message Box will resize itself to fit all caption lengths"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button6_Click(sender As Object, e As System.EventArgs) Handles C1Button6.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message."
            .Caption = "This is a very long caption to illustrate the point that the Vtl Message Box will resize itself to fit all caption lengths"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.OK)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button7_Click(sender As System.Object, e As System.EventArgs) Handles C1Button7.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message with Yes No Buttons.<br><br>Notice how the close box is properly disabled."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button8_Click(sender As Object, e As System.EventArgs) Handles C1Button8.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message with Yes No Buttons.<br><br>Notice how the close box is properly disabled."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button9_Click(sender As System.Object, e As System.EventArgs) Handles C1Button9.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message with Custom Buttons.<br><br>Notice how there is a custom return value as well."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddCustomButton("&First Custom Button", "Fred")
            .AddCustomButton("&Second Custom Button", "Elsie")
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button10_Click(sender As Object, e As System.EventArgs) Handles C1Button10.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message with Custom Buttons.<br><br>Notice how there is a custom return value as well."
            .Caption = "A Simple Message Box"
            .CustomIcon = My.Resources.sfw
            .AddCustomButton("&First Custom Button", "Fred")
            .AddCustomButton("&Second Custom Button", "Elsie")
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button11_Click(sender As System.Object, e As System.EventArgs) Handles C1Button11.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message with Yes No Buttons.<br><br>Notice how the close box is properly disabled."
            .Caption = "A Simple Message Box"
            .MoreText = "This is a secondary section where you could add extra info.  It will expand the message box <br> widthways if necessary."
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button12_Click(sender As Object, e As System.EventArgs) Handles C1Button12.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message with Yes No Buttons.<br><br>Notice how the close box is properly disabled."
            .Caption = "A Simple Message Box"
            .MoreText = "This is a secondary section where you could add extra info.  It will expand the message box <br> widthways if necessary."
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button13_Click(sender As System.Object, e As System.EventArgs) Handles C1Button13.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = My.Resources.new_page
            .Caption = "A Simple Message Box"
            .MoreText = "This is a secondary section where you could add extra info.  It will expand the message box <br> widthways if necessary."
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button14_Click(sender As Object, e As System.EventArgs) Handles C1Button14.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = My.Resources.new_page
            .Caption = "A Simple Message Box"
            .MoreText = "This is a secondary section where you could add extra info.  It will expand the message box <br> widthways if necessary."
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button15_Click(sender As System.Object, e As System.EventArgs) Handles C1Button15.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message that will auto close in 10 seconds. <br> <br> Look at the different results if you click a button <br> or let it auto close on its own."
            .Caption = "A Simple Message Box"
            .SecondsToAutoClose = 10
            .AutoCloseResult = AutoCloseResult.TimedOut
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button16_Click(sender As Object, e As System.EventArgs) Handles C1Button16.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message that will auto close in 10 seconds. <br> <br> Look at the different results if you click a button <br> or let it auto close on its own."
            .Caption = "A Simple Message Box"
            .SecondsToAutoClose = 10
            .AutoCloseResult = AutoCloseResult.TimedOut
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button17_Click(sender As System.Object, e As System.EventArgs) Handles C1Button17.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message that will auto close in 10 seconds. <br> <br> Look at the different results if you click a button <br> or let it auto close on its own. <br><br>Notice the time ticking down in the caption bar."
            .Caption = "A Simple Message Box"
            .SecondsToAutoClose = 12
            .AutoCloseResult = AutoCloseResult.TimedOut
            .DisplaySecondsToAutoClose = True
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button18_Click(sender As Object, e As System.EventArgs) Handles C1Button18.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message that will auto close in 10 seconds. <br> <br> Look at the different results if you click a button <br> or let it auto close on its own. <br><br>Notice the time ticking down in the caption bar."
            .Caption = "A Simple Message Box"
            .SecondsToAutoClose = 12
            .AutoCloseResult = AutoCloseResult.TimedOut
            .DisplaySecondsToAutoClose = True
            .CustomIcon = My.Resources.sfw
            .AddStandardButtons(MessageBoxButtons.YesNo)
            txtResult.Text = .Show
        End With
    End Sub

    

    Private Sub flex1_ValidateEdit(sender As Object, e As C1.Win.C1FlexGrid.ValidateEditEventArgs) Handles flex1.ValidateEdit
        txtResult.Text = String.Empty
        Try
            Dim i As Integer = Integer.Parse(flex1.Editor.Text)
        Catch ex As Exception
            msg = New VtlMessageBox(VisualStyle)
            Dim range As CellRange = flex1.GetCellRange(0, 0, 4, 4)
            Dim img As Image = flex1.CreateImage(range)
            With msg
                .AddImageToMoreText("gridImage", img)
                .MessageText = "You can only add Integers to the grid.  Click more to get some additional help"
                .MoreText = "This is what your grid looks like <br><br><img src ='res://gridImage'><br>"
                .AddStandardButtons(MessageBoxButtons.OK)
                .Caption = "You have made an Error"
                .Icon = MessageBoxIcon.Error
                txtResult.Text = .Show()
            End With
        End Try
    End Sub

    
    Private Sub C1Button19_Click(sender As System.Object, e As System.EventArgs) Handles C1Button19.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox(VisualStyle)
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .Icon = MessageBoxIcon.Information
            .AddStandardButtons(MessageBoxButtons.OK)
            .EndUserDecissionText = "Don't show this message again."
            txtResult.Text = .Show
        End With
    End Sub

    Private Sub C1Button20_Click(sender As Object, e As System.EventArgs) Handles C1Button20.Click
        txtResult.Text = String.Empty
        msg = New VtlMessageBox()
        With msg
            .MessageText = "This is a simple message."
            .Caption = "A Simple Message Box"
            .Icon = MessageBoxIcon.Information
            .AddStandardButtons(MessageBoxButtons.OK)
            .EndUserDecissionText = "Don't show this message again."
            txtResult.Text = .Show
        End With
    End Sub
End Class
